Explorer 6.0 compatible with Windows me?

  kumarisblue 12:05 17 Mar 2005
Locked

Can anyone tell me if Windows me can run with Internet Explorer 6.0? Ive been trying to download Direct X and it semms to need IE 6.0 beforehand. If so where do i get it?

Thankyou!

  VoG II 12:11 17 Mar 2005

Yes it works with ME.

click here to get it - this is the full version not just an update.

  Confab 13:30 17 Mar 2005

If you are running an earlier version than IE6 I'm guessing that you haven't been doing any critical windows updates on your PC

If not then click here to see if anything else needs updating.

This thread is now locked and can not be replied to.

Elsewhere on IDG sites

Fujitsu Lifebook P727 laptop review

Lightwell software lets you create mobile apps without using code

Best value Mac: Which is the best £1249 Mac to buy

Comment désactiver les programmes qui s'exécutent au démarrage de Windows 10 ?